WBCE Home | WBCE Hilfe | WBCE Addon Repository | Impressum | Datenschutz

WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#1 23.03.2018 12:26:07

rjgamer
Developer

RELEASE: Version 2.0.4

Hallo zusammen,

mit der Version 2.0.1 des Fraggy Backend Themes habe ich den Auto Updater eingeführt. Leider haben aber zahlreiche Flüchtigkeitsfehler meinerseits immer wieder dazu geführt, dass der Auto Updater nur mit manuellen Korrekturen durch den Benutzer zum laufen gebracht werden konnte. Dies betrifft leider auch die Versionen 2.0.2 und 2.0.3, bei denen nur mit einem manuellen Fix der Auto Updater funktioniert.

Mit der heute veröffentlichten Version 2.0.4 des Fraggy Backend Themes habe ich den Wechsel von der Fraggy-eigenen API zur GitHub APIv3 vollzogen. Weiter habe ich den Auto Updater nochmals leicht überarbeitet, aber dafür auch um einiges ausgiebiger getestet als in allen bisherigen Releases in den vergangenen Wochen. thumb_up

Ich hoffe ich konnte mit der Version 2.0.4 endlich einen fehlerfreien Auto Updater zur Verfügung. wink Es tut mir leid für die zahlreichen Releases und den manuellen Mehraufwand. Aber das zu hastige Vorgehen meinerseits bei der Entwicklung und den Tests war mir eine Lehre. cry

Gruss rjgamer

---------------------

Du kannst den neusten Release (exkl. Source Code) des Fraggy Backend Themes vom offiziellen GitHub Repository herunterladen. Für alle Webdesigner und Entwickler gibt es natürlich auch einen Source Code Release.

Changelog (nur die Differenz zur Vorgängerversion und in Englisch)

  • Fixed and optimized auto updater

Bitte die Anleitung in der README für das eigene Logo und Favicon lesen! Neu können die Bilder auch direkt im Medien-Ordner oder sogar in das Hauptverzeichnis der WBCE-Installation hochgeladen werden. Mit diesem Lösungsansatz und der Fraggy-eigenen API wird das erneute Hinzufügen nach einer Aktualisierung hinfällig. thumb_up

Gemäss README wird für Fraggy Backend Theme zwingend die Version 1.3.1 von WBCE oder neuer vorausgesetzt. Ältere Versionen von WBCE werden nicht mehr unterstützt.

Die Entfernung des "Designed by"-Vermerks sowie den Links zu neoflow.ch und wbce.org ist lizenzrechtlich verboten!

---------------------

Ich bin Spenden via PayPal nicht abgeneigt (gerade wenn Fraggy auch in kommerziellen Projekten verwendet wird)  tongue

Online

#2 23.03.2018 13:26:29

colinax
Developer

Re: RELEASE: Version 2.0.4

Hi, ja der Updater von 2.0.4 funktioniert soweit ich es testen konnte.

Durch die neue API, kann trotz der Meldung das 2.0.4 verfügbar ist, von z.B. 2.0.3 nicht über den Updater aktualisiert werden.

Online

#3 23.03.2018 13:32:29

rjgamer
Developer

Re: RELEASE: Version 2.0.4

colinax wrote:

Hi, ja der Updater von 2.0.4 funktioniert soweit ich es testen konnte.

Cool! Schön zu hören! thumb_up

colinax wrote:

Durch die neue API, kann trotz der Meldung das 2.0.4 verfügbar ist, von z.B. 2.0.3 nicht über den Updater aktualisiert werden.

Korrekt. Das habe ich mit Schrecken heute Morgen auch festgestellt. Auf die Problematik und Lösung gehe ich aber im ersten Abschnitt beim Eröffnungspost ein. Man muss den selben Fix verwenden wie bei der 2.0.2.

Gruss

Online

Liked by:

colinax

Board footer

Powered by FluxBB

up